import React from "react";
import PropTypes from "prop-types";

import { UserEdit } from "./userEdit";

export const User = ({
  id,
  admin,
  activated,
  name,
  polochonActivated,
  polochonUrl,
  polochonName,
  polochonId,
  token,
}) => {
  return (
    <tr>
      <td>{id}</td>
      <td>{name}</td>
      <td>
        <span
          className={activated ? "fa fa-check" : "fa fa-times text-danger"}
        ></span>
      </td>
      <td>
        <span className={admin ? "fa fa-check" : "fa fa-times"}></span>
      </td>
      <td>
        {polochonName !== "" ? polochonName : "-"}
        {polochonUrl !== "" && <small className="ml-1">({polochonUrl})</small>}
      </td>
      <td>{token}</td>
      <td>
        <span
          className={
            polochonActivated ? "fa fa-check" : "fa fa-times text-danger"
          }
        ></span>
      </td>
      <td>
        <UserEdit
          id={id}
          name={name}
          admin={admin}
          activated={activated}
          polochonActivated={polochonActivated}
          polochonToken={token}
          polochonId={polochonId}
        />
      </td>
    </tr>
  );
};
User.propTypes = {
  id: PropTypes.string,
  name: PropTypes.string,
  polochonId: PropTypes.string,
  polochonUrl: PropTypes.string,
  polochonName: PropTypes.string,
  token: PropTypes.string,
  admin: PropTypes.bool,
  activated: PropTypes.bool,
  polochonActivated: PropTypes.bool,
};
